//---------------------------------------------------------------------------

#ifndef FormSettingsH
#define FormSettingsH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
//---------------------------------------------------------------------------
#include "Settings.h"
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>

#include <vector>

class TfrmSettings : public TForm
{
__published:	// IDE-managed Components
	TPanel *pnlBottom;
	TButton *btnCancel;
	TButton *btnApply;
	TPageControl *pcGeneral;
	TTabSheet *tsGeneral;
	TTabSheet *tsLogging;
	TCheckBox *chbAlwaysOnTop;
	TLabel *lblUiCapacity;
	TComboBox *cmbMaxUiLogLines;
	TCheckBox *chbLogToFile;
	TTabSheet *tsAccounts;
	TPanel *pnlAccountsBottom;
	TButton *btnAddAccount;
	TComboBox *cbSoundBackend;
	TLabel *lblSoundBackend;
	TCheckBox *chbLogMessages;
	TTabSheet *tsCodecs;
	TCheckBox *chbG711;
	TCheckBox *chbSpeex;
	TCheckBox *chbGsm;
	TCheckBox *chbG726_32;
	TLabel *lblLocalAddress;
	TEdit *edLocalAddress;
	TComboBox *cbAccountSelector;
	TLabel *lblRegServer;
	TEdit *edRegServer;
	TComboBox *cbTransport;
	TLabel *lblUser;
	TEdit *edUser;
	TLabel *lblAuthUser;
	TEdit *edAuthUser;
	TLabel *lblPassword;
	TEdit *edPassword;
	TLabel *lblExpires;
	TEdit *edExpires;
	TLabel *lblStunServer;
	TEdit *edStunServer;
	TButton *btnDeleteAccount;
	void __fastcall FormShow(TObject *Sender);
	void __fastcall btnCancelClick(TObject *Sender);
	void __fastcall btnApplyClick(TObject *Sender);
	void __fastcall chbAlwaysOnTopClick(TObject *Sender);
	void __fastcall cmbMaxUiLogLinesChange(TObject *Sender);
	void __fastcall btnAddAccountClick(TObject *Sender);
	void __fastcall cbAccountSelectorChange(TObject *Sender);
	void __fastcall btnDeleteAccountClick(TObject *Sender);
private:	// User declarations
	void UpdateAccounts(std::vector<UaConf::Account> &accounts, int visible);
	void ApplyAccount(void);
public:		// User declarations
	__fastcall TfrmSettings(TComponent* Owner);
	Settings tmpSettings;
};
//---------------------------------------------------------------------------
extern PACKAGE TfrmSettings *frmSettings;
//---------------------------------------------------------------------------
#endif
